Mandates APIbetaMandate management
Get mandate details
GET
Bearerheader
AuthorizationBearer <JWT>Bearer token using a JWT.
id*stringIdentifier of the mandate.
Format
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
Value in
1OK - Mandate details.
application/json- response
PayTo mandate details.
id*stringMandate identifier.
Format
uuidcurrency*"AUD"Payment currency. ISO 4217 format (3 uppercase letters).
Value in
"AUD"system*"PAY_TO"Value in
"PAY_TO"mode*ModeEnumMandate usage mode.
Value in
"ONE_OFF""RECURRING"purpose*"OTHER"Purpose of the mandate.
Value in
"OTHER"mandateReference*stringMandate reference provided by the partner (or generated by Volt).
internalReference*string|nullpayer*Payer (debtor) details.
beneficiary?Beneficiary (creditor) details.
validity?Mandate validity period. Dates are always returned in RFC3339 format (YYYY-MM-DDThh:mm:ss±hh:mm).
payTo?PayTo-specific configuration.
status?Mandate status.
mandateSetupFlow?Mandate setup flow. Drives the authorisation process.
curl -X GET 'https://gateway.sandbox.volt.io/mandates/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'X-Volt-Api-Version: 1'Example Response
{ "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "currency": "AUD", "system": "PAY_TO", "mode": "RECURRING", "purpose": "OTHER", "mandateReference": "T1Qwerty", "internalReference": "H35X48Y4FWOD6G3S", "payer": { "reference": "JDOE-101", "firstName": null, "lastName": null, "email": null, "accountIdentifiers": { "accountName": "John Doe", "payId": "john@doe.com", "payIdType": "EMAIL" } }, "beneficiary": { "name": "Jane Doe" }, "validity": { "from": "2026-03-01 00:00:00", "to": null }, "payTo": { "accountIdentifiers": { "accountName": "John Doe", "payId": "john@doe.com", "payIdType": "EMAIL" }, "limits": { "periodic": { "period": "MONTH", "maxPaymentsCount": 3 }, "payment": { "maxAmount": 70000 } }, "description": "Coffee subscription #123123" }, "device": { "ip": "192.168.0.1", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0", "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed" }, "status": { "status": "AWAITING_AUTHORISATION", "details": null }, "mandateSetupFlow": { "status": "PROCESSING" }}